﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication277.ViewModel;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication277
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Boolean allowselection = true;
        VM vm = new VM();
        public MainWindow()
        {
            InitializeComponent();
          
            layoutroot.DataContext = vm;

        }

        private void countselected_Click(object sender, RoutedEventArgs e)
        {
            string s = "number rows selected " + xgrid1.SelectedItems.Records.Count.ToString();
            MessageBox.Show(s);

        }

    
 

  

        private void clearselection_Click(object sender, RoutedEventArgs e)
        {
         
            Person p = new Person()
            {
                Name = "Matt",
                Age = 29
            };
            vm.People.Add(p);
            
        }

        private void xgrid1_Loaded(object sender, RoutedEventArgs e)
        {
            xgrid1.Records.CollectionChanged += new System.Collections.Specialized.NotifyCollectionChangedEventHandler(Records_CollectionChanged);
            
        }

        void Records_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
           // throw new NotImplementedException();
            MessageBox.Show("xamdatagrid records colleciton change");
           
            if (e.NewItems.Count > 0)
            {
                for (int i = 0; i < e.NewItems.Count; i++)
                {
                    DataRecord dr = e.NewItems[i] as DataRecord;
                    MessageBox.Show(((Person)dr.DataItem).Name);
                   
                }
            }
           
        }
    }
}
