﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows;

namespace WpfApplication277.ViewModel
{
   public class TestConverter:IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
           // throw new NotImplementedException();
            int i = 0;
            if (value == null)
                return Visibility.Visible;
            if (int.TryParse(value.ToString(), out i))
            {
                if (i < 21)
                    return Visibility.Collapsed;
            }

            return Visibility.Visible;;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
           // throw new NotImplementedException();
            return value;
        }

        #endregion
    }
}
